Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.codegen
Class SwiftCodelet

    java.lang.Object
      com.stc.swift.codegen.SwiftCodelet

All Implemented Interfaces:
  com.stc.codegen.framework.model.Codelet, com.stc.codegen.framework.model.FileGeneratorCodelet

    public class SwiftCodelet

extends java.lang.Object
implements com.stc.codegen.framework.model.FileGeneratorCodelet

Version:
  $Revision: 1.7 $
See Also:
  ``

Field Summary

Fields inherited from interface com.stc.codegen.framework.model.FileGeneratorCodelet
`RCS_ID`

Constructor Summary
`SwiftCodelet(com.stc.codegen.framework.model.CodeGenFramework codegenFrw, com.stc.model.common.cme.Deployable owner)`

Method Summary
`void` | `generateFiles(com.stc.codegen.framework.model.CodeGenFileSystem fs)` Starts generation of source code.
`java.lang.String` | `getDebugName()`
`com.stc.model.common.cme.Deployable` | `getOwner()`
`void` | `postFileGeneration(com.stc.codegen.framework.model.CodeGenFileSystem fs)` DOCUMENT ME!
`void` | `preFileGeneration(com.stc.codegen.framework.model.CodeGenFileSystem fs)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftCodelet

    public SwiftCodelet(com.stc.codegen.framework.model.CodeGenFramework codegenFrw,
                        com.stc.model.common.cme.Deployable owner)

Method Detail

### getDebugName

    public java.lang.String getDebugName()

  Specified by:
    `getDebugName` in interface `com.stc.codegen.framework.model.Codelet`
  Returns:
    the debug name for this codelet
  See Also:
    `Codelet.getDebugName()`

### getOwner

    public com.stc.model.common.cme.Deployable getOwner()

  Specified by:
    `getOwner` in interface `com.stc.codegen.framework.model.Codelet`
  Returns:
  See Also:
    `Codelet.getOwner()`

### postFileGeneration

    public void postFileGeneration(com.stc.codegen.framework.model.CodeGenFileSystem fs)
                            throws com.stc.codegen.framework.model.CodeGenException

  DOCUMENT ME!

  Specified by:
    `postFileGeneration` in interface `com.stc.codegen.framework.model.FileGeneratorCodelet`
  Parameters:
    `fs` - DOCUMENT ME!
  Throws:
    `com.stc.codegen.framework.model.CodeGenException` - DOCUMENT ME!

### preFileGeneration

    public void preFileGeneration(com.stc.codegen.framework.model.CodeGenFileSystem fs)
                           throws com.stc.codegen.framework.model.CodeGenException

  DOCUMENT ME!

  Specified by:
    `preFileGeneration` in interface `com.stc.codegen.framework.model.FileGeneratorCodelet`
  Parameters:
    `fs` - DOCUMENT ME!
  Throws:
    `com.stc.codegen.framework.model.CodeGenException` - DOCUMENT ME!

### generateFiles

    public void generateFiles(com.stc.codegen.framework.model.CodeGenFileSystem fs)
                       throws com.stc.codegen.framework.model.CodeGenException

  Starts generation of source code.

  Specified by:
    `generateFiles` in interface `com.stc.codegen.framework.model.FileGeneratorCodelet`
  Parameters:
    `fs` - DOCUMENT ME!
  Throws:
    `com.stc.codegen.framework.model.CodeGenException` - if error arises.
  See Also:
    `com.stc.codegen.framework.model.Codelet#generateFiles(com.stc.codegen.framework.model.CodeGenFileSystem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.